Subject: RE: Mobility text in node reqts (Was: AD review of draft-ietf-ipv6-node-requirements-05.txt)

From: [email-masked]
Date: Wed, 24 Sep 2003 12:14:12 +0300

Hi all,

I think Jari's text looks right, I have added it to the issues list
as Issue17: Mobility text changes.  I am going to make the changes,
as long as noone objects.

br,
John

> > And include a normative reference to the document.
> > 
> > 
> >>7.2 Securing Signaling between Mobile Nodes and Home Agents
> >>
> >>   The security mechanisms described in [MIPv6-HASEC] MUST 
> be supported
> >>   by nodes implementing mobile node or home agent functionality
> >>   specified in Mobile IP [MIPv6].
> > 
> > 
> > So would presumably the applicable parts of Section 8  of the mipv6
> > spec. Better to cite them explicitely.
> > 
> > 
> >>   Generic Packet Tunneling [RFC-2473] MUST be supported for nodes
> >>   implementing mobile node functionality or Home Agent 
> functionality of
> >>   Mobile IP [MIPv6].
> > 
> > 
> > This may not need mentioning, as it may already be covered 
> in  Section
> > 8 of the mipv6 spec.
> 
> Hmm... is node requirements a list of all specs needed for IPv6, or
> a list of specs which together with their normative refs are needed?
> This hasn't been very clear.
> 
> My take is that we should list all IPv6 specifications, but 
> we can leave
> out some generic normative references, 2119 et al.
> 
> > Actually, this entire section may warrant rethinking given the
> > existance of Section 8  in the MIPv6 spec.
> 
> The [MIPv6-HASEC] reference is in Section 8 (though indirectly).
> But per above, I'd rather keep all clearly IPv6-specific documents
> listed in the node requirements document.
> 
> Here's a suggested reformulation. Keep in mind that while the
> Mobile IPv6 specification says what is required for a mobile
> node, it does not have a keyword which states when such
> functionality is needed. This is why the keywords
> in the below text are important.
> 
> 7. Mobile IP
> 
>     The Mobile IPv6 [MIPv6] specification defines requirements for the
>     following types of nodes:
> 
>     - mobile nodes
>     - correspondent nodes with support for route optimization
>     - home agents
>     - all IPv6 routers
> 
>     Hosts MAY support mobile node functionality described in
>     Section 8.5 of [MIPv6], including support of generic packet
>     tunneling [RFC-2473] and secure home agent communications
>     [MIPv6-HASEC].
> 
>     Hosts SHOULD support route optimization requirements for
>     correspondent nodes described in Section 8.2 of [MIPv6].
> 
>     Routers SHOULD support the generic mobility-related
>     requirements for all IPv6 routers described in Section 8.3
>     of [MIPv6]. Routers MAY support the home agent functionality
>     described in Section 8.4 of [MIPv6], including support of
>     [RFC-2473] and [MIPv6-HASEC].
> 
> --Jari
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------